class_name FootController extends Node3D

@onready var metal: AudioStreamPlayer3D = $Metal
@onready var grunk: AudioStreamPlayer3D = $Grunk
@onready var plastic: AudioStreamPlayer3D = $Plastic


func get_player_for_material(surface_material: SurfaceMaterial.Type) -> AudioStreamPlayer3D:
	match surface_material:
		SurfaceMaterial.Type.GRUNK:
			return grunk
		SurfaceMaterial.Type.PLASTIC:
			return plastic
		SurfaceMaterial.Type.METAL:
			return metal
		SurfaceMaterial.Type.UNKNOWN:
			pass
	return null
